<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
 $limiteOESP=sizeof($vetorRXOESP)-2;
 $limiteSILV=sizeof($vetorRXSILV)-2;
 $limiteNOCT=sizeof($vetorRXNOCT)-2;
 $limiteNOCP=sizeof($vetorRXNOCP)-2;


$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
         
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza

				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=275;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     $largo1=114;
					 $largo2=41;
					 $largo3=33;
                     $posicaoCab1=$margemEsquerda+$largo1;
					 $posicaoCab2=$posicaoCab1+$largo2;
					 $pdf->SetFont('Arial','B',8);
					 
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	
					 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota2);
					 //linha vertical a direita do timbre
					 $pdf->SetFont('Arial','',8);
					 
					 $cota1=5;
					 //dados do laboratorio/parte da esquerda
					 $pdf->setXY($margemEsquerda,$cota1); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');


					 $pdf->setXY($margemEsquerda,$cota1+5); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+10); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+15); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+20); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');

                     //parte central do cabeçalho  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
					 $pdf->SetFont('Arial','B',8);

					 $pdf->setXY($posicaoCab1,$cota1);
					 $pdf->Cell($largo2,5,utf8_decode('FICHA DE ANÁLISE'),0,1,'L');
					 $pdf->SetFont('Arial','',8);

					 $pdf->setXY($posicaoCab1,$cota1+5);
					 $pdf->Cell($largo2,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),0,1,'L');//lab nome
					 
					 //trabalha o boletim  VEM ASSIM: 12/07/2018270  SENDO O 270 O NUMERO DO BOLETIM
					 $dataEboletim=$vetorRaioX[3];
                     if(strlen(trim($dataEboletim))>3):
					     list($bolData, $bolNumero,$bolOperador) = explode("*", $dataEboletim);//
						 //$bolData=substr($dataEboletim,0,8);
					     //$bolNumero=substr($dataEboletim,8);//comeca no 8
					 endif;	 
					 $pdf->setXY($posicaoCab1,$cota1+9);
					 $pdf->Cell($largo2,5,utf8_decode('BAS Nº: ').$bolNumero.'   de:'.$bolData,0,1,'L');//lab nome
					 
					 //TRABALHA O INFORME
					 $dataEinforme=$vetorRaioX[4];
                     if(strlen($dataEinforme)>3):
					     list($infData, $infNumero,$infOperador) = explode("*", $dataEInforme);//
						 //$infData=substr($dataEinforme,0,8);
					     //$infNumero=substr($dataEinforme,8);//comeca no 8
				     endif;		 
					 $pdf->setXY($posicaoCab1,$cota1+12);
					 $pdf->Cell($largo2,5,utf8_decode('INF Nº: ').$infNumero.'   de:'.$infData,0,1,'L');//lab nome
					 
					 //se por acaso ele fez informe entao pega a rubrica do informe
					 //Se fez bolteim prevalece do boletim
					 //se fez ambos prevalece o do boletim
					 if(strlen($infOperador)>1)$operadorDoc= $infOperador;
					 if(strlen($bolOperador)>1)$operadorDoc= $bolOperador;
					 
					 $pdf->setXY($posicaoCab1,$cota1+20);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->Cell($largo2,5,'Rubrica:'.utf8_decode($operadorDoc),0,1,'L');

                     //parte da direita do cabecalho 
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($posicaoCab2,$cota1);

	
					 $pdf->SetFont('Arial','',8);

			        $vetorNormas=$objetocalculo->capturaNormas("Ficha","ADV",$idLabo);
					$posicaoNorma=$margemEsquerda+$largo1+$largo2;
					 $largo2=33;;
					if(substr($cliente,0,5)!='TS LA'):
						//$pdf->Rect($posicaoNorma,5,40,15);
						$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
						$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
						$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
                    endif;


				     ################IDENTIFICACAO DA AMOSTRA##################################################
				     $largo1=100;
					 $largo2=40;
					 $largo3=54;				   

					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				    
					 //primeira linha 
					 $cota1+=25;       
					 $pdf->SetXY($margemEsquerda,$cota1);
				  	 $pdf->SetFont('Arial','B',9);
					 $pdf->Cell($largo1,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L'); 
					 $pdf->SetFont('Arial','I',9);
					 $pdf->Cell($largo2,5,utf8_decode($vetorCapturaGeral[30]),0,0,'L'); 

                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+5);
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell($largo1,4.5,utf8_decode('Cultivar:'.$vetorCapturaGeral[31]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Safra:'.$vetorCapturaGeral[34]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Categoria:'.$vetorCapturaGeral[33]),0,0,'L');
               
                     //terceira linha  
					 $pdf->SetXY($margemEsquerda,$cota1+9);
					 $pdf->Cell($largo1,4.5,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Represent:'.$vetorCapturaGeral[6]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Balança:'.$vetorCapturaGeral[79]).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 //quarta linha
					 $pdf->SetXY($margemEsquerda,$cota1+13);
					
					 $pdf->Cell($largo1,4.5,'Recebida em:'.date("d/m/Y",strtotime($vetorCapturaGeral[36])),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Peneira:'.$vetorCapturaGeral[35]),0,0,'L');
					 $tratamentoCampo=strtoupper($vetorCapturaGeral[66] ?? "");
                   	 if($tratamentoCampo=='-O-' || $tratamentoCampo=='-0-'):                   	     $tratamentoCampo='Não tratada';				 
					 else:
					     $tratamentoCampo=$vetorCapturaGeral[66];
					 endif;
					 $pdf->Cell($largo3,4.5,utf8_decode('Tratada:'.$tratamentoCampo),0,0,'L');
                     //quinta linha
					 $pdf->SetXY($margemEsquerda,$cota1+17);
					 $pdf->Cell($largo1,4.5,utf8_decode('Remetente:'.$vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2+20,4.5,utf8_decode('Procedência:'.$vetorCapturaGeral[58]),0,0,'L');
					 $pdf->Cell($largo3-20,4.5,utf8_decode('Data/Ident:'.$vetorCapturaGeral[107]),0,0,'L');
                     //sexta linha
					 $pdf->SetXY($margemEsquerda,$cota1+21);
					 $pdf->Cell(70,4.5,utf8_decode('Registrador:'.$vetorCapturaGeral[80]),0,0,'L');
					 $pdf->Cell(110,4.5,utf8_decode('Testes a realizar:'.$vetorCapturaGeral[44]),0,0,'L');
					 
					 //aqui vou fazer algo que depois posso colocar na classe calculos
					 //verificar se foi marcado pureza e nocivas para que coloque -O- caso nao foi solicitado isso
					 $todosTestes=$vetorCapturaGeral[44];
					 $tama=strlen($todosTestes);
					 $marcouPureza="NAO";
					 $marcouNocivas="NAO";
					 if($tama>3)://se nao marcou nada entao ne testa
                       for($i=1;$i<=$tama;$i++):
                          if(substr($todosTestes,$i,1)==";")://localiza o separador ;
                              if(substr($todosTestes,$i-3,3)=="PUR")$marcouPureza="SIM";
                              if(substr($todosTestes,$i-3,3)=="DOS")$marcouNocivas="SIM";
                          endif;						  
					   endfor;                         					 
					 endif;
					 
					 
					
                     //VAI COLOCAR -O- EM TODOS LOCAIS ONDE DEU MARCOUPUREZA="NAO"					 
                     if($marcouPureza=='NAO'):
						 $pdf->SetXY($margemEsquerda+40,$cota1+37);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
					     $pdf->Cell(15,4.5,'-O-',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
					     $pdf->Cell(40,4.5,'-O-',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');

                         //em outras sementes
						 $pdf->SetXY($margemEsquerda+135,$cota1+51);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
     
                         //em outras especies cultivadas e silvestres
						 $pdf->SetXY($margemEsquerda+20,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;
				
					 
					 
					 
                     //se marcou ncivas
                     if($marcouNocivas=='NAO'):
						 $pdf->SetXY($margemEsquerda+140,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;



					  ##############cria setor de purezaaaa###############################################3
					 $cota1+=25;
					 $larguraPadrao=18;
					 $largo1=35;
					 $largo2=$larguraPadrao;
					 $largo3=$larguraPadrao;
					 $largo4=$larguraPadrao;
					 $largo5=$larguraPadrao;

					 $posicaoMeio=$margemEsquerda+$largo1+4*$larguraPadrao;//era 97
				     $altura=5.5;
					 $cota1a=$cota1+1*$altura;
					 $cota1b=$cota1+2*$altura;
					 $cota1c=$cota1+3*$altura;
					 $cota1d=$cota1+4*$altura;
					 $cota1e=$cota1+5*$altura;
					 $cota1f=$cota1+6*$altura;
					 $cota1g=$cota1+7*$altura;
					
				     //as linhas verticais de pureza
					 $cota4=93;
					 $posicao1=$margemEsquerda+$largo1;                        
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; 
				     $pdf->Line($posicao1,$cota1a,$posicao1,$cota4);//
					 $pdf->Line($posicao2,$cota1a,$posicao2,$cota4);//
					 $pdf->Line($posicao3,$cota1a,$posicao3,$cota4);//
					 $pdf->Line($posicao4,$cota1a,$posicao4,$cota4);//


				     //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota1b,$posicaoMeio,$cota1b);//
					 $pdf->Line($margemEsquerda,$cota1c,$posicaoMeio,$cota1c);//
					 //$pdf->Line($margemEsquerda,$cota1d,$margemDireita,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1d,$posicaoMeio,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1e,$posicaoMeio,$cota1e);//
					 $pdf->Line($margemEsquerda,$cota1f,$posicaoMeio,$cota1f);//
					 $pdf->Line($posicaoMeio,$cota1a,$posicaoMeio,$cota4+5);//linha vertical final de pureza e inicio de naturaza do material inerte

				     //textos de pureza
					 
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->Cell(80,5.5,utf8_decode('ANÁLISE DE PUREZA: (Em').$vetorCapturaGeral[91].'g)',1,0,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell(50,5.5,utf8_decode('Balança:' .$vetorRaioX[104]),1,0,'L');
					 $pdf->Cell(64,5.5,utf8_decode('Data/Rubrica:'.$vetorRaioX[154] .'/'. $vetorRaioX[153] ),1,0,'L');
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1a);
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 
					 $pdf->SetXY($posicaoMeio,$cota1a);
					 $pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,1,'C');
					 $pdf->SetXY($posicaoMeio,$cota1a+5);
					 $pdf->Cell(90,4.5,utf8_decode($vetorRaioX[55]),0,1,'C');

				     //$pdf->Cell(12,4.5,$vetorRaioX[25],0,0,'L');//PERCENTAGEM INERTE
					 $pdf->SetXY($posicaoMeio,$cota1d);
					 //$pdf->Cell(90,4.5,'Outras sementes:',0,1,'L');
					 
					 
					 
					 
					 
					 
					 $pdf->SetXY($margemEsquerda,$cota1b); $pdf->Cell(50,4.5,'Amostra de Trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1d); $pdf->Cell(50,4.5,'Material inerte.',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1e); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	
					 $posicao1+=5;  
					 
				 if($marcouPureza!='NAO'):  //SE MARCOU PUREZA  ELE MOSTRA CASO CONTRARIO NAO MOSTRA
					 //VALORES DE LEITURA DE PUREZA e percentagem de pureza
					 //amostra de trabalho
					 $pdf->SetXY($posicao1,$cota1b); $pdf->Cell(20,4.5,$vetorRaioX[21],0,0,'L');	//peso amostra trabalho	
					 $pdf->Cell(12,4.5,'-',0,0,'L');//KKKKKKKKKKK
					 //sementes puras
					 $pdf->SetXY($posicao1,$cota1c); $pdf->Cell(20,4.5,$vetorRaioX[22],0,0,'L');	//peso SEMENTES PURAS
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[15]),0,0,'L');//PERCENTAGEM PURAS
                     //material inerte
					 $pdf->SetXY($posicao1,$cota1d); $pdf->Cell(20,4.5,utf8_decode($vetorRaioX[24]),0,0,'L');	//peso INERTE
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[25]),0,0,'L');//PERCENTAGEM INERTE
                     //outras sementes					 
					 $pdf->SetXY($posicao1,$cota1e); $pdf->Cell(20,4.5,utf8_decode($vetorRaioX[23]),0,0,'L');	//peso OUTRAS SEMENTES
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[26]),0,0,'L');//PERCENTAGEM OS
                     //peso final
					 $somaPesoFinal=$vetorRaioX[22]+$vetorRaioX[23]+$vetorRaioX[24];
					 $pdf->SetXY($posicao1,$cota1f); $pdf->Cell(20,4.5,$somaPesoFinal,0,0,'L');	//peso final(os+mi+pu)
                     //soma das percentagens
					 $somaPercentagens=$vetorRaioX[15]+$vetorRaioX[25]+$vetorRaioX[26];
					 $pdf->Cell(12,4.5,number_format($somaPercentagens,1,'.',','),0,0,'L');//PERCENTAGEM pesos
                 endif;					 
			     //colocar -O- nos campos inutilizads de pureza
				 $posicao1+=35;
				 $pdf->SetXY($posicao1,$cota1b); //peso amostra trabalho	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				
				 $pdf->SetXY($posicao1,$cota1c); 	//peso SEMENTES PURAS
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1d); 	//peso INERTE
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1e); 	//peso OUTRAS SEMENTES
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1f); 	//peso final(os+mi+pu)
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
		
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
					 $cota1+=37;
					 $largura1=58;
					 $largura2=58;
					 $largura3=58;
					 $largura4=10;
					 $largura5=10;
					 $largura6=$largura3+$largura4+$largura5;
					 //$largura3=$largura1+$largura2;

					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->Line($margemEsquerda,$cota1+1,$posicaoMeio,$cota1+1);//linha depois de peso final
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota1+1);
					 $pdf->cell(97,4.5,utf8_decode('VERIFICAÇÃO DE OC:').$vetorRaioX[251],0,0,'L');
					 $pdf->setXY(80,$cota1+1);
                      

					 $cota1+=4;
					 $cota5=$cota1+46;
			         $cota1a=$cota1+3;
			         $cota1b=$cota1+8;
			         $cota1c=$cota1+13;
					 
					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->SetFont('Arial','B',9);
					 $pdf->cell($largura1+$largura2,5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO:'),1,1,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->setXY($posicao2,$cota1a);
					 $pdf->cell($largura6,5,utf8_decode('Data/Rubrica:'.$vetorRaioX[216].'/'.$vetorRaioX[215]),1,0,'L');	 
					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($largura1,4.5,utf8_decode('Espécies Cultivadas em').$vetorCapturaGeral[94].'g',1,0,'C');	 
					 $pdf->cell($largura2,4.5,'Sementes Silvestres: em '.$vetorCapturaGeral[94].'g',1,0,'C');	 
					 $pdf->cell($largura3,4.5,'Sementes Nocivas: em '.$vetorCapturaGeral[93].'g',1,0,'C');	 
					 $pdf->cell($largura4,4.5,'NT',1,0,'C');
					 $pdf->cell($largura5,4.5,'NP',1,1,'C');
					 $pdf->setXY($margemEsquerda,$cota5-5);
					 $pdf->Line($margemEsquerda,$cota5-5,$margemDireita,$cota5-5);
					 $pdf->cell($largura1-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura2-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura3,5,'Total:',1,0,'R');
					 $pdf->setXY($posicao2,$cota1c);
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				     //tres linhas verticais separando silvestres,nocivas e oesp 
					 $posicao3nt=$posicao2+$largura3; 
					 $posicao3np=$posicao2+$largura3+$largura4; 
					 $pdf->Line($posicao1,$cota1c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota1c,$posicao2,$cota5);
					 $pdf->Line($posicao3nt,$cota1c,$posicao3nt,$cota5);
					 $pdf->Line($posicao3np,$cota1c,$posicao3np,$cota5);
					 
				 if($marcouPureza!='NAO')://testa se marcou pureza se sim vai mostrar dados caso contrario marca -o-
                     //imprime outras especies cultivadas					 
					 $posicaoOESP=$margemEsquerda+1;
					 $pdf->SetFont('Arial','I',9);
					 $contador=0;
                     $contaOESP=0;
					 for($i=1;$i<=$limiteOESP;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoOESP,$cota1b+$contador);
					    $pdf->cell($largura1-8,4.5,$vetorRXOESP[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXOESP[$i][1],0,0,'L');
                        $contaOESP+=$vetorRXOESP[$i][1];
					 endfor;
				 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaOESP==0):
                        $pdf->setXY($posicaoOESP+50,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
					 //imprime contaminantes silvestres
					 $posicaoSilvestres=$margemEsquerda+57;
					 $contador=0;
					 $contaSILV=0;
					 for($i=1;$i<=$limiteSILV;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoSilvestres,$cota1b+$contador);
					    $pdf->cell($largura1-6,4.5,$vetorRXSILV[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXSILV[$i][1],0,0,'L');
                        $contaSILV+=$vetorRXSILV[$i][1];
                     endfor;
				 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaSILV==0):
                        $pdf->setXY($posicaoSilvestres+50,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
                 endif;//testa se marcou pureza 					 
					 
 
				 if($marcouNocivas!='NAO'):
					 //imprime contaminantes NOCIVAS TOLERADAS
					 $posicaoNocivas=$margemEsquerda+116;
					 $contador=0;
                     $contaNOCT=0;
					 for($i=1;$i<=$limiteNOCT;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoNocivas,$cota1b+$contador);
					    $pdf->cell($largura1+3,4.5,$vetorRXNOCT[$i][0],0,0,'L');//estava 3
					    $pdf->cell(5,4,$vetorRXNOCT[$i][1],0,0,'L');
                        $contaNOCT+=$vetorRXNOCT[$i][1];
                     endfor;
                     //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaNOCT==0):
                        $pdf->setXY($posicaoNocivas+60,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;					 
					 
                  
					 //imprime contaminantes NOCIVAS proibidas
                     $contaNOCP=0;
					 for($i=1;$i<=$limiteNOCP;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoNocivas,$cota1b+$contador);
					    $pdf->cell($largura1+13,4.5,$vetorRXNOCP[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXNOCP[$i][1],0,0,'L');
                        $contaNOCP+=$vetorRXNOCP[$i][1];
                     endfor;
					 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaNOCP==0):
                        $pdf->setXY($posicaoNocivas+$largura1+15,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
			
					 		
				 endif;//TESTA SE MARCOU DOSNE
		



                     //imprime os totais de contaminantes
					 $cotaTotaisContaminantes=137;
					 //oesp
					 $pdf->setXY($posicaoOESP+48,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaOESP,0,0,'L');
                     //silv
					  $pdf->setXY($posicaoSilvestres+48,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaSILV,0,0,'L');
					 //noct
					 $pdf->setXY($posicaoNocivas+58,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaNOCT,0,0,'L');
					 //nocp
					 $pdf->setXY($posicaoNocivas+68,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaNOCP,0,0,'L');
					 



					 
				     ################inicio da parte de GERMINACAO########################################
					 //ADV ENTENDE COMO SINONIMOS EAC E VIGOR

                     $cota1+=46.5;						 
			         $umQuarto=48.5;
			         $cota1a=$cota1+1*4.5;
			         $cota1b=$cota1+2*4.5;
			         $cota1c=$cota1+3*4.5;
			         $cota1d=$cota1+4*4.5;
			         $cota1e=$cota1+5*4.5;
			         $posicaoMeio=97; 
                     //apaga todos campos se o analista esta em branco ou seja quando
					 // nao salvou leituras
                     //TEST3E DE GERMINACAO PADRAO 
					 $analista1=$vetorRaioX[40];
					 $tamanho=strlen($analista1);
					 if($tamanho<2):
						// $dataGeral="-O-";
						// $vetorRaioX[61]="-O-";//tratamento
						// $vetorRaioX[35]="-O-";//temperaturas
						// $vetorRaioX[36]="-O-";//substrato
						// $vetorRaioX[93]="-O-";//data
						// $vetorRaioX[38]="-O-";//germinador
						// $vetorRaioX[39]="-O-";//datageralteste
						// $analista1='-O-';
					 endif;		 
                     //TEST3E DE EAC QUE ADV CHAMA DE VIGOR 
					 $analista1=$vetorRaioX[73];
					 $tamanho=strlen($analista1);
                     $nomeTeste2='VIGOR';
					 $dataGeralGE=$vetorRaioX[72];
					 if(strlen($dataGeralGE)==10)$dataGeralGE=date("d/m/Y",strtotime($dataGeralGE));
					 if($tamanho<2):
                        // $nomeTeste2='-O-';    
						// $dataGeralGE="-O-";
						// $vetorRaioX[61]="-O-";//tratamento
						 //$vetorRaioX[35]="-O-";//temperaturas
						 //$vetorRaioX[36]="-O-";//substrato
						 //$vetorRaioX[93]="-O-";//data
						// $vetorRaioX[38]="-O-";//germinador
						// $vetorRaioX[39]="-O-";//datageralteste
						// $analista1='-O-';
					 endif;		 
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE GERMINAÇÃO'),1,0,'C');
					 $pdf->cell($posicaoMeio,4.5,utf8_decode('TESTE DE:').$nomeTeste2,1,0,'C');
					 $pdf->SetFont('Arial','',7);
					 $dataGeral=date("d/m/Y",strtotime($vetorRaioX[39]));	

					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->cell($umQuarto,4.5,'Iniciado em: '.$vetorRaioX[93],1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Finalizado em: ').$dataGeral,1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Iniciado em:'.$vetorRaioX[94],1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Finalizado em: ').$dataGeralGE,1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1b);
					 $pdf->cell($umQuarto,4.5,'Substrato: '.utf8_decode( $vetorRaioX[36]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador: '.utf8_decode($vetorRaioX[38]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Substrato: '.utf8_decode($vetorRaioX[69]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Germinador: '.utf8_decode($vetorRaioX[71]),1,0,'L');

					 $pdf->setXY($margemEsquerda,$cota1c);
					 $pdf->cell($umQuarto,4.5,'Temperatura: '.utf8_decode($vetorRaioX[35]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Duração:'.$vetorRaioX[37]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Temperatura: '.utf8_decode($vetorRaioX[68]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Duração:'.$vetorRaioX[70]),1,0,'L');
					 
					 $pdf->setXY($margemEsquerda,$cota1d);
					 $pdf->cell($umQuarto,4.5,'Tratamento: '.utf8_decode($vetorRaioX[61]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Analista:'.$vetorRaioX[40]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,'Tratamento: '.utf8_decode($vetorRaioX[74]),1,0,'L');
					 $pdf->cell($umQuarto,4.5,utf8_decode('Analista:'.$vetorRaioX[73]),1,0,'L');
                     //coloca pequena linha vertical para separar tratamente
                     //$pdf->Line($posicaoMeio+$margemEsquerda,$cota1d,$posicaoMeio+$margemEsquerda,$cota1d+4.5); 					 					 
				     ################iPARTE  ONDE VAO AS LEITURAS#######################################
				     
					 $vetor="";
	
				     $largo[1]=20;
					 $larguraMenor=16;
					 for($i=2;$i<=5;$i++)
					 {
					     $largo[$i]=$larguraMenor;
						 $largo[$i+5]=$larguraMenor;
				     }		  
					 //$largo[10]=20;
					 $vetor="";

	                  				 
					 
					 $vetorFinal[1][2]="A";$vetorFinal[1][3]="B";$vetorFinal[1][4]="C";$vetorFinal[1][5]="D";
					 $vetorFinal[2][1]="Normais:";
					 $vetorFinal[5][1]=utf8_decode("Total");

					 $vetorFinal[6][1]="Anormais";
					 $vetorFinal[9][1]=utf8_decode("Total");

					 $vetorFinal[10][1]="Duras( )Dorm( )";
					 $vetorFinal[13][1]=utf8_decode("Total");

					 $vetorFinal[14][1]=utf8_decode("Mortas");
					 $vetorFinal[16][1]="	Total: ";

                     //captura germinacao padrao                      
					 $reanLong=$vetorRaioX[62];
					 $vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong);
					 $colunas=5;
					 $repeticao=$vetorLeiturasGerminacao[24][1];
					 $colunas=$vetorLeiturasGerminacao[24][2];
					 $base=$vetorLeiturasGerminacao[24][3];
					 
                     //adv trabalha com 4 colunas e 8 colunas
					 //transfere do vetor de germinacao para o vetor final (se tiver que fazerr conversao de 8 colunas para 4 colunas faz aqui)
                     if($colunas==4): 
						 for($i=1;$i<=23;$i++):
						     //aqui tem um casuismo para duras e dormentes
							 $linhaVetor=$i;
	 					     //if($i==14 && $vetorLeiturasGerminacao[$i][$j]!="")$linhaVetor=9;
	 					     if($i==14 || $i==15)$linhaVetor=9;//aglutuna na linha 9 
							 for($j=1;$j<=$colunas;$j++):
	                            $vetorFinal[$linhaVetor+1][$j+1]= $vetorLeiturasGerminacao[$i][$j];
	                            //$vetorFinal[$linhaVetor+1][$j+1]= $colunas;
		                     endfor;
	                     endfor;

                         //aqui joga os totais para 4 repeticoes						 
  					     for($j=1;$j<=$colunas;$j++):
	                        //normais
							$vetorFinal[5][$j+1]= $vetorLeiturasGerminacao[25][$j];
	                        //anormais
							$vetorFinal[9][$j+1]= $vetorLeiturasGerminacao[26][$j];
	                        //duras e/ou dormentes soma pois as vezes vem uma ou outra
							$vetorFinal[13][$j+1]= $vetorLeiturasGerminacao[28][$j]+$vetorLeiturasGerminacao[29][$j];//duras e dormentes junto
	                        //mortas ok
							$vetorFinal[16][$j+1]= $vetorLeiturasGerminacao[30][$j];
                        endfor; 

                     else://SE FOR 8 COLUNAS AI COMPACTA PARA 4 COLUNAS COLOCANDO EMBAIXO O SEGUNDO VALOR DE CADA PAR DE LEITURAS
					    //NORMAIS
						 $contador=0;
                         $linhaDados=1;
						 $linhaTotais=5;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[2][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[3][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS NORMAIS
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;		
					    //ANORMAIS
						 $contador=0;
                         $linhaDados=5;
						 $linhaTotais=9;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[6][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[7][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS aNORMAIS
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;		
					    //MORTAS
						 $contador=0;
                         $linhaDados=13;
						 $linhaTotais=16;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[14][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[15][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS mortas
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;
						 
						 
						 		
					    //DURAS E DORMENTES
						 $contador=0;
                         $linhaDados=14;//   14=DURAS 15=DORMENTES
						 $linhaTotais=13;
					     for($j=1;$j<=$colunas;$j+=2):
                            $contador++;
                            //joga ss primeiras 4
                            $vetorFinal[10][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j];
							//joga as ultimas 4 embaixo 
                            $vetorFinal[11][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j+1];
                            //TOTAIS duras e dormentes
						    $vetorFinal[$linhaTotais][$contador+1]= $vetorLeiturasGerminacao[$linhaDados][$j]+ $vetorLeiturasGerminacao[$linhaDados][$j+1];
                         endfor;		
					 endif;//PERGUNTA SE É 4 OU 8 COLUNAS





					 //transfere os totais que ja foram calculados na classe
					 for($j=1;$j<=$colunas;$j++):
  
                     endfor;
					 
					 
					 $colunas=5;					 
                     $guardaCota1=$cota1;
                     $cota1+=23;
                     $cota7=$cota1;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 
					 for($i=1;$i<=$colunas;$i++):
					     $finalHorizontal+=$largo[$i];
					 endfor;	 
					 $posicao=$margemEsquerda;
	
					 $linhas=16;
                     $alturaEspacos=5.35;
					 
					 
				     //imprime resultados da parte da esquerdaxxxxxxxxxxxxxxxxxxxxxx
					 $linhaCalculada=$cota7;
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetLineWidth($fino);
					     $pdf->SetXY($margemEsquerda,$linhaCalculada);
						 //coloca uma linha negritada separando normais/anoramis/dormentes/mprtas
						 if($L==6 || $L==10 || $L==14 ):
						    $pdf->SetLineWidth($grosso);
							$pdf->Line($margemEsquerda,$linhaCalculada,$margemEsquerda+96,$linhaCalculada);
						 endif;
						 $pdf->SetLineWidth($fino);
						 
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 //$pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$alturaEspacos,$vetorFinal[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$alturaEspacos;
				     }
					 
                     //imprime a metade da direitaxxxxxxxxxxxxxxxxxxx
                     //captura eac                   
					 $reanLong=$vetorRaioX[91];
					 $vetorLeiturasGerminacao=$objetocalculoRaioX->leiturasGerminacaoBIDI($reanLong);
					 //transfere do vetor de germinacao para o vetor final (se tiver que fazerr conversao de 8 colunas para 4 colunas faz aqui)
					 for($i=1;$i<=23;$i++):
					     //aqui tem um casuismo para duras e dormentes
						 $linhaVetor=$i;
 					     //if($i==14 && $vetorLeiturasGerminacao[$i][$j]!="")$linhaVetor=9;
 					     if($i==14)$linhaVetor=9;
						 for($j=1;$j<=$colunas;$j++):
                            $vetorFinal[$linhaVetor+1][$j+1]= $vetorLeiturasGerminacao[$i][$j];
	                     endfor;					 
                     endfor;					 


					 //transfere os totais que ja foram calculados na classe
					 for($j=1;$j<=$colunas;$j++):
                        //normais
						$vetorFinal[5][$j+1]= $vetorLeiturasGerminacao[25][$j];
                        //anormais
						$vetorFinal[9][$j+1]= $vetorLeiturasGerminacao[26][$j];
                        //duras e/ou dormentes soma pois as vezes vem uma ou outra
						$vetorFinal[13][$j+1]= $vetorLeiturasGerminacao[28][$j]+$vetorLeiturasGerminacao[29][$j];
                        //mortas ok
						$vetorFinal[16][$j+1]= $vetorLeiturasGerminacao[30][$j];
  
                     endfor;					 
                     $cota1=$guardaCota1;
					 
					 
                     $cota1+=23;
                     $cota7=$cota1;
					 $linhaCalculada=$cota7;
					 $finalHorizontal=$margemEsquerda;
					 $pdf->setXY($margemEsquerda,$cota7);
					 
					 for($i=1;$i<=$colunas;$i++):
					     $finalHorizontal+=$largo[$i];
					 endfor;	 
					 $posicao=$margemEsquerda;
	
					 $linhas=16;
                     $alturaEspacos=5.35;
					 
					 
				     //imprime a parte da esquerdaxxxxxxxxxxxxxxxxxxxxxx
					 $linhaCalculada=$cota7;
					 $margemEsquerda1=$margemEsquerda+97; 
					 for($L=1;$L<=$linhas;$L++)
					 {
					     $pdf->SetLineWidth($fino);
					     $pdf->SetXY($margemEsquerda1,$linhaCalculada);
						 //coloca uma linha negritada separando normais/anoramis/dormentes/mprtas
						 if($L==6 || $L==10 || $L==14 ):
						    $pdf->SetLineWidth($grosso);
							$pdf->Line($margemEsquerda1,$linhaCalculada,$margemEsquerda1+96,$linhaCalculada);
						 endif;
						 $pdf->SetLineWidth($fino);
						 
			             for($i=1;$i<=$colunas;$i++)
					     {
					    	 //$pdf->SetLineWidth($fino);
							 $pdf->Cell($largo[$i],$alturaEspacos,$vetorFinal[$L][$i],1,0,'C');	
				         }
	     		         $linhaCalculada+=$alturaEspacos;
				     }
					 
		$mzx=15;
        $mzy=0;
        //germinacao padrao 
     	$pdf->setXY($mzx+84,$mzy+180); $pdf->Cell(30,5,$vetorRaioX[14],0,0,'L');//normais
    	$pdf->setXY($mzx+84,$mzy+200); $pdf->Cell(30,5,$vetorRaioX[64],0,0,'L');//anormais
    	$pdf->setXY($mzx+84,$mzy+220);
		//no caso de adv apresneta duras e dormentes no mesmo local entao se normais for -N- ele nao deve somar
		if($vetorRaioX[14]=='-N-'):
		   $durasDormentes="-N-";
		else:
		   $durasDormentes=$vetorRaioX[66]+$vetorRaioX[67];
		endif;   
		$pdf->Cell(30,5,$durasDormentes,0,0,'L');//dura e dormentes
    	$pdf->setXY($mzx+84,$mzy+240); $pdf->Cell(30,5,$vetorRaioX[65],0,0,'L');//mortas
        //germinacao EAC 
     	$afastaX=180;
		$pdf->setXY($mzx+$afastaX,$mzy+180); $pdf->Cell(30,5,$vetorRaioX[12],0,0,'L');//normais
    	$pdf->setXY($mzx+$afastaX,$mzy+200); $pdf->Cell(30,5,$vetorRaioX[76],0,0,'L');//anormais
		//no caso de adv apresneta duras e dormentes no mesmo local entao se normais for -N- ele nao deve somar
		if($vetorRaioX[12]=='-N-'):
		   $durasDormentes="-N-";
		else:
		   $durasDormentes=$vetorRaioX[66]+$vetorRaioX[67];
		endif;   
    	$pdf->setXY($mzx+$afastaX,$mzy+220); $pdf->Cell(30,5,$durasDormentes,0,0,'L');// dormentes
    	$pdf->setXY($mzx+$afastaX,$mzy+240); $pdf->Cell(30,5,$vetorRaioX[78],0,0,'L');//mortas

					 
					 
					 //imprime a palavra media
				     $linhaCalculada=$cota7;
					 $pdf->SetXY($margemEsquerda+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C');	
					 $pdf->SetXY($margemEsquerda1+84,$linhaCalculada);
					 $pdf->Cell(13,4.5,'Media',1,0,'C');	

//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////


                     //aqui de determinacoes adiconai para baixo
					 $cota1+=86;
                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 //$pdf->SetFont('Arial','',8);
					 $pdf->cell(30,4,utf8_decode('Determinações adicionais:'),0,1,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
                     $cota1+=12;
					 

                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(20,4,utf8_decode('Observações:'),0,0,'L');
					 $pdf->cell(40,4,utf8_decode($vetorCapturaGeral[37]),0,0,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
					 //analista rt etc
					 $cota1+=12;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(25,4,utf8_decode('Analista:'),0,0,'L');
					 $pdf->cell(50,4,utf8_decode('Data:'),0,0,'R');
					 $pdf->cell(50,4,utf8_decode('RT:'),0,0,'R');


					 
				 endif;

             endwhile; //este while abre a amostras atraves do campo amostraLong
			 endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
